macro_rules! with_args {
    ($arg1:ident, $($arg2:expr),*) => {
        {
            $($arg1!("{}", $arg2);)*
        }
    };
}

fn main() {
    with_args!(println, "日", "月", "火");
    with_args!(dbg, "Sunday", "Monday");
}
